Profiled Confidence Intervals {POT} | R Documentation

## Profiled Confidence interval for the GP Distribution

### Description

Compute profiled confidence intervals on parameter and return level for the GP distribution. This is achieved through the profile likelihood procedure.

### Usage

    gpd.pfshape(fitted, range, xlab, ylab, conf = 0.95, nrang = 100,
    vert.lines = TRUE, ...)
    gpd.pfscale(fitted, range, xlab, ylab, conf = 0.95, nrang = 100,
    vert.lines = TRUE, ...)
    gpd.pfrl(fitted, prob, range, thresh, xlab, ylab, conf = 0.95, nrang =
    100, vert.lines = TRUE, ...)

### Arguments

`fitted` | `R` object given by function `fitgpd`.
`prob` | The probability of non exceedance.
`range` | Vector of dimension two. It gives the lower and upper bound on which the profile likelihood is performed.
`thresh` | Optional. The threshold. Only needed with non constant threshold.
`xlab, ylab` | Optional Strings. Allows to label the x-axis and y-axis. If missing, default value are considered.
`conf` | Numeric. The confidence level.
`nrang` | Numeric. It specifies the number of profile likelihood computed on the whole range `range`.
`vert.lines` | Logical. If `TRUE` (the default), vertical lines are plotted.
`...` | Optional parameters to be passed to the `plot` function.

### Value

Returns a vector of the lower and upper bound for the profile confidence interval. Moreover, a graphic of the profile likelihood function is displayed.

### Author(s)

Mathieu Ribatet

### References

Coles, S. (2001). An Introduction to Statistical Modelling of Extreme Values. Springer Series in Statistics. London.

### See Also

`gpd.fiscale`, `gpd.fishape`, `gpd.firl` and `confint`

### Examples

    data(ardieres)
    events <- clust(ardieres, u = 4, tim.cond = 8 / 365,
    clust.max = TRUE)
    MLE <- fitgpd(events[, "obs"], 4, 'mle')
    gpd.pfshape(MLE, c(0, 0.8))
    rp2prob(10, 2)
    gpd.pfrl(MLE, 0.95, c(12, 25))

[Package POT version 1.1-7 Index]